Ubuntu 22.04

Plus d'informations
il y a 5 mois 3 semaines #27515 par Mireille64
Réponse de Mireille64 sur le sujet Ubuntu 22.04
C'est donc très différent !!

Je lance donc
qui me donne en réponse : pip3 install cryptography==3.4.8
mireille@mireille-N650DU:~$ pip3 install cryptography==3.4.8
Defaulting to user installation because normal site-packages is not writeable
Requirement already satisfied: cryptography==3.4.8 in /usr/lib/python3/dist-packages (3.4.8)

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 5 mois 3 semaines #27516 par JBRUNEL
Réponse de JBRUNEL sur le sujet Ubuntu 22.04
Vu que dans ton environnement il y a un mélange de paquets de différentes versions le mieux est de refaire une environnement virtuel propre à Noethys.
Je te propose de suivre cette doc: 
https://github.com/BrunelJacques/Noethys-Matthania/blob/master/noethys/Doc/install_linux.md
en l'adaptant à Noethys.
Toutefois je te rappelles que je n'ai pas réussi à faire fonctionner la version actuelle de Noethys mais seulement la branche Noethys-Matthania que j'utilise et pour laquelle j'ai dû régler les problèmes de type d'arguments (float % int)​.
Je ne sais pas si Noethys master envisage de le faire.
​​​​​​

 

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 5 mois 3 semaines #27517 par Mireille64
Réponse de Mireille64 sur le sujet Ubuntu 22.04
Ouaip... Je crois que je vais regarder s'il n'y a pas autre chose qu'on pourrait utiliser...
Merci en tout cas de tous tes retours

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 4 mois 4 jours #27673 par Jurassic Pork
Réponse de Jurassic Pork sur le sujet Ubuntu 22.04
Hello,
Olivier Bitsch a pas mal travaillé pour faire fonctionner Noethys avec du python 3.10 en éliminant le genre de problème que tu as. J'ai "forké" son dépôt github et fait quelques modifs. Ma version se trouve ici
Le Readme est modifié pour l'adapter à un Ubuntu 22.04 . J'ai enlevé aussi pour l'instant l'installation du paquet python mysqlclient qui me fait une erreur en installation.
En suivant la procédure indiquée dans le Readme, NoEthys se lance sous Ubuntu 22.04 avec un python 3.10.
Ami calmant, J.P

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 4 mois 4 jours - il y a 4 mois 4 jours #27675 par Mireille64
Réponse de Mireille64 sur le sujet Ubuntu 22.04
Bonjour à tous,

Un aimable internaute m'ayant contactée suite à un souci que j'avais sur LibreOffice Base que je mettais en place pour pallier à mon impossibilité d'utiliser Noethys a fait ce qu'il fallait pour mettre à jour Noethys pour Ubuntu 22.04.
Ses infos ici : https://github.com/JurassicPork/Noethys

Merci à tous !
Dernière édition: il y a 4 mois 4 jours par Mireille64.
Les utilisateur(s) suivant ont remercié: JBRUNEL

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 4 mois 3 jours #27685 par Jurassic Pork
Réponse de Jurassic Pork sur le sujet Ubuntu 22.04
Hello,
j'ai mis à jour mon dépôt pour que cela corresponde à la version 1.3.3.3 de NoEthys. J'ai réussi à faire fonctionner NoEthys en réseau avec un mysql 8.0 installé sur ma machine Ubuntu 22.04. Dans le Readme j'ai rajouté un paragraphe sur l'installation de mysql.

Ami calmant, J.P

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 4 mois 2 jours #27686 par JBRUNEL
Réponse de JBRUNEL sur le sujet Ubuntu 22.04
Pour moi ça marche également, sauf les messages console: Gtk-WARNING DRAWING FAILURE FOR WIDGET 'wxPizza'... et autres GtkWindow, qui ne sont pas bloquants, mais pas très propres.

Est-ce que tu as réussi à les faire disparaître? si c'est le cas je serai preneur du résultat de ton 'pip freeze' pour le comparer au mien, car c'est certainement un problème de version de modules.

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 4 mois 2 jours - il y a 4 mois 2 jours #27689 par Jurassic Pork
Réponse de Jurassic Pork sur le sujet Ubuntu 22.04
Les Gtk-Warning ne sont pas très graves, je vois souvent cela et même avec des logiciels très connus et j'ai l'impression que c'est la bibliothèque wxpython qui est en cause alors on peut rien faire ou alors de trouver d'où cela vient mais ce serait perdre beaucoup de temps pour pas grand chose. Il y avait beaucoup plus grave sous Ubuntu, systématiquement à la sortie du programme (proprement par quitter) il y avait un core dumped. J'ai trouvé d'où cela venait et j'ai modifié la façon de quitter dans le code. Il y a quand même un message d'erreur mais beaucoup moins grave qu'un core dumped qui génére un gros fichier.
Dernière édition: il y a 4 mois 2 jours par Jurassic Pork.
Les utilisateur(s) suivant ont remercié: JBRUNEL

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 4 mois 2 heures - il y a 4 mois 2 heures #27702 par Jurassic Pork
Réponse de Jurassic Pork sur le sujet Ubuntu 22.04

Pour moi ça marche également, sauf les messages console: Gtk-WARNING DRAWING FAILURE FOR WIDGET 'wxPizza'... et autres GtkWindow, qui ne sont pas bloquants, mais pas très propres.
Hello,
j'ai identifié d'où venait la plupart des Gtk-Critical ou Gtk-Warning avec le gtk3 : c'est quand certains contrôles sont créés avec une taille trop petite. 
Sous mon Ubuntu 22.04 le wx.DefautSize (pas possible à changer) vaut (20,20) ce qui est parfois trop petit. 

Par exemple voici ce que j'ai mis dans le fichier noethys.py :
if 'gtk3' in wx.PlatformInfo:
    wx.Frame.__init__(self, parent, -1, title=_(u"Noethys"), name="general", style=wx.DEFAULT_FRAME_STYLE,size=(40,40))
else:
    wx.Frame.__init__(self, parent, -1, title=_(u"Noethys"), name="general", style=wx.DEFAULT_FRAME_STYLE)

grâce à la variable wx.PlatformInfo je peux savoir si je suis en gtk3 et je ne fais comme cela que la modif avec le gtk3. Il y a d'autres fichiers où j'ai mis ce type de correction dans la version noethys de mon dépôt . Mais cela n'élimine certainement pas toutes les erreurs GTK car il y a plein d'endroits que je n'ai pas testés et d'autres que je ne sais pas résoudre (ex quand l'onglet Locations est sélectionné dans le Tableau de bord cela génére des erreurs avec de la pizza    ". N'importe comment les GTK-Warning et les GTK-Critical ce n'est pas très grave car cela ne fait pas planter le programme.
Il y a un autre souci avec le gtk3, c'est le SpinButton et le SpinCtrl. Les boutons pour incrémenter et décrémenter ne sont pas des flèches comme sous windows  mais de gros boutons moins et plus qui ne rentre pas dans la place qu'on leur a réservé dans les IHM ce qui provoque aussi des erreurs de GTK et qu'on ne peut pas utiliser : 
 
Il y a deux solutions, soit trouvé un contrôle personnalisé qui  utilise des flèches (comme par exemple le MiniSpinButton   ) où alors si c'est possible augmenter la taille des boutons du SpinButton ce qui par exemple  est faisable avec le Calendrier : 
 
 
J'ai trouvé aussi que la taille de la police était un peu petite (taille 8) sous mon Ubuntu 22.04 et j'ai mis 10 (pas fait la modif dans mon dépôt). Changer la ligne avec taille dans le fichier UTILS_Linux.py dans la procédure AdaptePolice.

Ami calmant, J.P
Pièces jointes :
Dernière édition: il y a 4 mois 2 heures par Jurassic Pork.

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 4 mois 1 heure #27704 par JBRUNEL
Réponse de JBRUNEL sur le sujet Ubuntu 22.04
Merci pour ce partage d'info.

Je ne suis pas sur Linux en ce moment, mais prochainement je vais appliquer ce contournement. Je reviendrai compléter si nécessaire.

Cordialement.

Connexion ou Créer un compte pour participer à la conversation.

Temps de génération de la page : 0.310 secondes
Propulsé par Kunena